<?php
namespace Modules\Orders\ImportedOrders\ProcessServicesList;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Popup_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()
			->append(
				ListingColumn::create('idServiceExtSys')
					->setWidth(20)
			)
			->append(
				ListingColumn::create('destination')
			)

			->append(
				ListingColumn::create('totalOffer')
			)

			->append(
				ListingColumn::create('passenger')
			)

			->append(
					ListingColumn::create('addTime')->setType('datetime')
			)

		->loadLabels($this->lang['index']['listingColumns'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
